update profile patch.md
Update profile
Management API · Your Profile
PATCH https://app.mk.io/api/v1/user/profile
This endpoint allows certain fields within the profile to be updated.
Requires authentication; no additional RBAC permissions required.
Authentication
Authorizationheader — Bearer authentication of the formBearer <token>.
Request body
Content type: application/json
spec· object · Required — Specification.company· string · Optional · 0-1024 characters — Company.country· string · Optional · 0-1024 characters — Country.jobRole· string · Optional · 0-1024 characters — Job Role.name· string · Optional · 1-1024 characters — Full name.phoneNumber· string · Optional · 0-1024 characters — Phone number including international dialling code
Example request
curl -X PATCH "https://app.mk.io/api/v1/user/profile" \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"spec": {
"company": "string",
"country": "string",
"jobRole": "string",
"name": "string",
"phoneNumber": "string"
}
}'
Responses
200 — OK
kind· string · Required — The kind of record.metadata· object · Required — Metadata.id· string · Required · format: uuid — The unique identifier of the user.
spec· object · Required — Specification.activeOrganizationId· string · Required — Currently selected organization.avatar· string · Required · <=200 characters — Avatar.company· string · Optional · 0-1024 characters — Company.contactEmail· string · Required · 1-1024 characters — Contact email addresscountry· string · Optional · 0-1024 characters — Country.features· map from strings to any · Required — Internally managed set of flags indicating access to preview or new features.[any key]· any — map of additional properties
isActive· boolean · Required — Is this user active?jobRole· string · Optional · 0-1024 characters — Job Role.loginEmail· string · Required · 1-1024 characters — Email address used for loginname· string · Optional · 1-1024 characters — Full name.phoneNumber· string · Optional · 0-1024 characters — Phone number including international dialling code
Example:
{
"kind": "string",
"metadata": {
"id": "00000000-0000-0000-0000-000000000000"
},
"spec": {
"activeOrganizationId": "string",
"avatar": "string",
"company": "string",
"contactEmail": "string",
"country": "string",
"features": {
"key": null
},
"isActive": true,
"jobRole": "string",
"loginEmail": "string",
"name": "string",
"phoneNumber": "string"
}
}
400 — Bad Request
error· object · Required — Pertinent information about the errorcode· string · Required — The error code.detail· string · Required — The error message.extraDetail· map from strings to any · Optional — Extra information regarding this error.[any key]· any — map of additional properties
ref· string · Required — A reference to the request that caused the error.status· integer · Required — The HTTP status code
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
401 — Unauthorized
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
403 — Forbidden
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
404 — Not Found
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
429 — Too Many Requests
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
500 — Internal Server Error
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}